### Set datafile commentschars

The set datafile commentschars tells gnuplot what characters are used in a data file to begin comment lines. If the first non-blank character on a line is one of the specified characters then the rest of the input line is ignored. Default value of the string is `"`#!`"` on VMS and `"`#`"` otherwise.

Syntax:

         set datafile commentschars {"<string>"}
         show datafile commentschars
         unset commentschars

Then, the following line in a data file is completely ignored

       # 1 2 3 4

but the following

       1 # 3 4

produces a rather unexpected plot unless

       set datafile missing '#'

is specified as well.

Example:

         set datafile commentschars "#!%"